> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Optimization

> Update an optimization's name and/or description.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /optimizations/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /optimizations/{id}:
    patch:
      tags:
        - optimizations
      summary: Update Optimization
      description: Update an optimization's name and/or description.
      operationId: update_optimization_optimizations__id__patch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOptimizationBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Optimization'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateOptimizationBody:
      properties:
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: UpdateOptimizationBody
      description: Request body for updating an optimization's name and/or description.
    Optimization:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        job_id:
          type: string
          title: Job Id
        project_id:
          type: string
          title: Project Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        cell_spec_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cell Spec Id
        parameterized_model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parameterized Model Id
        optimization_template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Optimization Template Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
        parameterized_model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Parameterized Model Name
        cell_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cell Name
        organization_id:
          type: string
          title: Organization Id
          description: Organization this optimization belongs to.
      type: object
      required:
        - id
        - job_id
        - project_id
        - organization_id
      title: Optimization
      description: Pydantic model for the ``optimizations`` table.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````